<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateScheduleTextsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('schedule_texts', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->longtext('message');
            $table->timestamps();
        });

        DB::table('schedule_texts')->insert(['title' => 'PROGRAMAÇÃO <strong>😉</strong>', 'message' => '<span style="color:#E6E6FA"><span style="font-size:20px">Fique por dentro de toda nossa </span></span><span style="color:#FFD700"><span style="font-size:20px"><strong>Programação</strong></span></span><span style="font-size:20px"> <span style="color:#E6E6FA">e se divirta, acompanha nossa grade de programas.</span></span>']);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('schedule_texts');
    }
}
